summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2022-05-14 16:44:48 +0200
committerConrad Kostecki <conikost@gentoo.org>2022-05-14 16:45:45 +0200
commita3388b2a834bc3fbfafcc7dbb6d1f62aa0ebda3a (patch)
treefc602c53daa28c0753b74e93fe968ea2c5dd29d3
parentprofiles: add experimental s390 systemd profiles (still lack keywords) (diff)
downloadgentoo-a3388b2a834bc3fbfafcc7dbb6d1f62aa0ebda3a.tar.gz
gentoo-a3388b2a834bc3fbfafcc7dbb6d1f62aa0ebda3a.tar.bz2
gentoo-a3388b2a834bc3fbfafcc7dbb6d1f62aa0ebda3a.zip
dev-lua/luasocket: use correct version
Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
-rw-r--r--dev-lua/luasocket/luasocket-3.0.0-r1.ebuild (renamed from dev-lua/luasocket/luasocket-3.0.0.ebuild)5
1 files changed, 5 insertions, 0 deletions
diff --git a/dev-lua/luasocket/luasocket-3.0.0.ebuild b/dev-lua/luasocket/luasocket-3.0.0-r1.ebuild
index ebbca46770e..f89c5c8c85b 100644
--- a/dev-lua/luasocket/luasocket-3.0.0.ebuild
+++ b/dev-lua/luasocket/luasocket-3.0.0-r1.ebuild
@@ -34,6 +34,11 @@ PATCHES=(
src_prepare() {
default
+
+ # Set correct version, as upstream shows wrongly '-rc1'.
+ # This has been already changed by upstream, but no new release.
+ sed -e 's/-rc1/.0/g' -i src/luasocket.h || die
+
lua_copy_sources
}